> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Funds Ledger

> Merchants can query the transaction history of their balance accounts through this API. It supports pagination to handle large volumes of data, filtering by time range, and precise searches by financial type, order ID, currency, and other fields. This helps merchants efficiently reconcile funds and manage their finances.

## Overview

This page documents the `GET /v1/pay/bill/orderlist` endpoint. The full schema, parameters, and examples are rendered from the linked OpenAPI definition above.

## Notes

* Authentication uses the standard GatePay signed headers.
* This page documents the standard merchant endpoint.
* For shared signing rules, see [/api-reference/version/100/en/common/securityAndSignature](/api-reference/version/100/en/common/securityAndSignature).


## OpenAPI

````yaml /api-reference/version/100/en/openapi/fund-records-openapi.json GET /v1/pay/bill/orderlist
openapi: 3.1.0
info:
  title: Gate Pay API
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /v1/pay/bill/orderlist:
    get:
      summary: Retrieve transaction history
      description: >-
        Merchants can query the transaction history of their balance accounts
        through this API. It supports pagination to handle large volumes of
        data, filtering by time range, and precise searches by financial type,
        order ID, currency, and other fields. This helps merchants efficiently
        reconcile funds and manage their finances.
      operationId: getBillOrderList
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - name: startTime
          in: query
          required: true
          schema:
            type: integer
            format: int64
          description: Start time in milliseconds
        - name: endTime
          in: query
          required: true
          schema:
            type: integer
            format: int64
          description: End time in milliseconds
        - name: page
          in: query
          required: true
          schema:
            type: integer
          description: Page number, starting from 1
        - name: count
          in: query
          required: true
          schema:
            type: integer
          description: Number of records per page, up to 500
        - name: currency
          in: query
          required: false
          schema:
            type: string
          description: Currency to search
        - name: financialType
          in: query
          required: false
          schema:
            type: string
          description: >-
            Refers to the type of financial transaction. Includes: receipt_fi
            (receipt), giftCard_fi (gift card), reward_fi (reward),
            distribution_fi (distribution/withdrawal), refund_fi (refund),
            transfer_fi (transfer), convert_buy_fi (convert buy),
            convert_sell_fi (convert sell), convert_refund_fi (convert refund),
            otcRecharge_add_fi (fiat deposit), otcWithdraw_fi (fiat withdrawal),
            and others_fi (others).
        - name: orderType
          in: query
          required: false
          schema:
            type: integer
          description: >-
            Order type to query:1-Merchant order ID 2-GatePay order ID
            3-Transaction history order ID
        - name: orderIdNo
          in: query
          required: false
          schema:
            type: string
          description: Order ID to query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_BillOrderList'
              examples:
                successResponse:
                  summary: SUCCESS
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      merchant_id: 10002
                      total: 18
                      hasNext: true
                      nextPage: 4
                      balance_history_item_list:
                        - transactId: '355711415868440576'
                          transactTime: 1746769810346
                          orderId: '355450733498011648'
                          merchantTradeNo: '1746707644001'
                          financialType: refund_fi
                          payAmount: '-1'
                          currency: USDT
                          Balance: '934183.9783514209'
                          BalanceCurrency: USDT
                          status: PAID
                          payer: 10002
                          buyer: ''
                          fullChain: ''
                          hash: ''
                          address: TMB5f9CgcnYR365knMXKrMM6aGoYpphquj
                          payChannel: mini_pay
                          refund_gate_id: '13411853592035330'
                        - transactId: '355711310076907520'
                          transactTime: 1746769785136
                          orderId: '355450733498011648'
                          merchantTradeNo: '1746707644001'
                          financialType: refund_fi
                          payAmount: '+1'
                          currency: USDT
                          Balance: '934184.9783514209'
                          BalanceCurrency: USDT
                          status: PAID
                          payer: 10002
                          buyer: ''
                          fullChain: ''
                          hash: ''
                          address: TMB5f9CgcnYR365knMXKrMM6aGoYpphquj
                          payChannel: mini_pay
                          refund_gate_id: '13411849297068033'
                        - transactId: '355711310076907520'
                          transactTime: 1746769785131
                          orderId: '355450733498011648'
                          merchantTradeNo: '1746707644001'
                          financialType: refund_fi
                          payAmount: '-1'
                          currency: USDT
                          Balance: '934183.9783514209'
                          BalanceCurrency: USDT
                          status: PAID
                          payer: 10002
                          buyer: ''
                          fullChain: ''
                          hash: ''
                          address: TMB5f9CgcnYR365knMXKrMM6aGoYpphquj
                          payChannel: mini_pay
                          refund_gate_id: '13411849297068033'
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: >-
        The clientId assigned when the merchant registers an application in the
        Gate merchant console.
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: >-
        Request signature. GatePay uses this signature to verify whether the
        request is valid.
      schema:
        type: string
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: >-
        UTC timestamp in milliseconds when the request is generated. GatePay
        will not process requests where the difference from the receive time
        exceeds 10 seconds.
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: >-
        Random string. Must comply with HTTP header rules; recommended length is
        within 32 characters, composed of digits and letters.
      schema:
        type: string
        example: '9578'
  schemas:
    ApiResponse_BillOrderList:
      type: object
      properties:
        status:
          type: string
          description: API response result, SUCCESS or FAIL.
          enum:
            - SUCCESS
            - FAIL
        code:
          type: string
          description: Response error code.
        errorMessage:
          type: string
          description: Error description.
        data:
          $ref: '#/components/schemas/BillOrderListData'
      required:
        - status
        - code
    BillOrderListData:
      type: object
      properties:
        merchant_id:
          type: integer
          description: Merchant ID
        total:
          type: integer
          description: Total number of records
        hasNext:
          type: boolean
          description: |-
            Indicates whether there is a next page:
            true: YES
            false: NO
        nextPage:
          type: integer
          description: Next page number; valid only when hasNext is true
        balance_history_item_list:
          type: array
          items:
            $ref: '#/components/schemas/BalanceHistoryItem'
    BalanceHistoryItem:
      type: object
      properties:
        transactId:
          type: string
          description: Payment ID
        transactTime:
          type: integer
          format: int64
          description: Posting time, in milliseconds (timestamp)
        orderId:
          type: string
          description: GatePay order ID
        merchantTradeNo:
          type: string
          description: Merchant order ID
        financialType:
          type: string
          description: Financial type
        payAmount:
          type: string
          description: Transaction amount (inflow or outflow)
        currency:
          type: string
          description: Currency of the transaction amount
        balance:
          type: string
          description: Account balance
        balanceCurrency:
          type: string
          description: Currency of the account balance
        status:
          type: string
          description: Order status; PAID indicates success
        payer:
          type: integer
          format: int64
          description: Payer UID in Gate Pay
        buyer:
          type: string
          description: >-
            For Web3 payments, this is the payment address; for non-Web3
            payments, this is the payer's UID.
        refund_gate_id:
          type: string
          description: Refund order ID
        payChannel:
          type: string
          description: 'Payment method: Web3 payment Gate Pay'
        fullChain:
          type: string
          description: Full name of the payment network
        address:
          type: string
          description: Merchant receiving address
        hash:
          type: string
          description: Transaction hash

````